## libproxy 0.4.15

=== samples/libcurl/Makefile ===


all: curlget

curlget: curlget.c
	gcc curlget.c -o curlget -Wall -lcurl -std=c99 $(shell pkg-config --libs libproxy-1.0)

clean:
	rm curlget

=== bindings/python/python3/CMakeLists.txt ===
find_package(Python3Interp)

if(PYTHON3INTERP_FOUND)
  set(PYTHON3_SITEPKG_DIR "${PYTHON3_SITEPKG_DIR}" CACHE PATH "Python 3 site-package directory.")

  if(NOT PYTHON3_SITEPKG_DIR)
    execute_process(COMMAND
		    ${PYTHON3_EXECUTABLE}
		    -c "import sys; print (sys.version[0:3])"
		    OUTPUT_VARIABLE PYTHON3_VERSION
		    OUTPUT_STRIP_TRAILING_WHITESPACE)

    message(STATUS "Found python 3 version ${PYTHON3_VERSION}")

    execute_process(COMMAND
		    ${PYTHON3_EXECUTABLE}
		    -c "import distutils.sysconfig ; print (distutils.sysconfig.get_python_lib(plat_specific=0))"
		    OUTPUT_VARIABLE PYTHON3_SITEPKG_DIR
		    OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif()
  
  message(STATUS "Using PYTHON3_SITEPKG_DIR=${PYTHON3_SITEPKG_DIR}")

  install(FILES ../libproxy.py DESTINATION ${PYTHON3_SITEPKG_DIR})
endif()

=== debian/changelog ===
libproxy (0.4.15-13ubuntu1.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-26154.patch: fix buffer overflow when PAC
      is enabled in libproxy/url.cpp.
    - CVE-2020-26154

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 08 Dec 2020 16:18:20 -0300

libproxy (0.4.15-13ubuntu1) groovy; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25219.patch: rewrite url::recvline
      to be nonrecursive in libproxy/url.cpp.
    - CVE-2020-25219

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 15 Sep 2020 12:35:55 -0300

libproxy (0.4.15-13) unstable; urgency=medium

  * Team upload
  * libproxy1-plugin-gsettings: Depend on gsettings-desktop-schemas.
    gsettings-desktop-schemas defines the schema for GNOME 3 proxy settings,
    and looking up keys with no schema is an error.
    Detected by the autopkgtest coverage.
  * d/tests: Separate out test for gsettings backend.
    This has dependencies beyond those of libproxy.
  * d/tests: Add smoke-tests for the mozjs and webkit PAC interpreters
  * d/tests: Ask for additional debug logging
  * d/tests: Mark gsettings tests as flaky until upstream bug 116 is fixed.
    There seems to be a race condition in the gnome3 (gsettings) backend,
    to which proxy(1) is particularly susceptible.
  * d/tests: Add copyright/license information.
    These might be general enough to be useful to the upstream developer.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 18:03:06 +0100

libproxy (0.4.15-12) unstable; urgency=medium

  [ Simon McVittie ]
  * Add undocumented changes to previous changelog entry
  * d/rules: Install Perl binding to the vendor path
  * d/rules: Don't build the Perl binding until we have a package for it
  * Install Findlibproxy.cmake in -dev package
  * d/rules: Remove leftover argument passed to dh_makeshlibs
  * d/not-installed: Skip usr/lib/mono/libproxy-sharp/libproxy-sharp.dll
  * d/tests: Add a smoke-test using libproxy-tools
  * d/tests: Add a failing test for the Python 3 binding
  * Backport a commit from upstream to fix warnings in GNOME environments

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Apr 2020 17:30:57 -0400

libproxy (0.4.15-11) unstable; urgency=medium

  * Bump debhelper-compat to 13
    - Stop passing -V to dh_makeshlibs, it is the default now
  * Bump Standards-Version to 4.5.0
  * d/rules: Remove redundant -Wl,--as-needed.
    bullseye toolchains already default to this.
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Apr 2020 21:25:44 -0400

libproxy (0.4.15-10) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * d/tests/build: Mark as superficial
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Exercise linking with pkg-config

  [ Iain Lane ]
  * Revert "rules: Don't run the cli sequence in the clean target". The
    associated debhelper bug (#944225) is fixed.  This reverts commit
    7251356feb950abaa137ac5a4d5ead7f954d388e.
  * python-support-Python-3.9.patch: Cherry-pick patch to support newer
    python3
  * control, mozjs-Port-to-mozjs-68.patch: Move to mozjs68

 -- Iain Lane <laney@debian.org>  Wed, 11 Mar 2020 13:16:18 +0000

libproxy (0.4.15-9) unstable; urgency=medium

  * control, rules: Add dh-sequence-cli to BDI. Since 12.5, debhelper is
    supposed to support this properly (but see the next changelog entry).
  * rules: Don't run the cli sequence in the clean target.  We have this in
    Build-Depends-Indep. debhelper is supposed to do this for us, but due to
    bug #944225 it doesn't.

 -- Iain Lane <laney@debian.org>  Wed, 06 Nov 2019 11:07:02 +0000

libproxy (0.4.15-8) unstable; urgency=medium

  * Drop Build-Depends on dh-sequence-cli.
    Thanks to Simon McVittie (Closes: #942119)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 19:37:24 -0400

libproxy (0.4.15-7) unstable; urgency=medium

  * Move dh-sequence-cli & dh-sequence-python3 from Build-Depends-Indep
    to Build-Depends

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 09:22:09 -0400

libproxy (0.4.15-6) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop python-libproxy for python2 removal (Closes: #936906)
  * Add patch to have cmake find python 3.7

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-cli, dh-sequence-gnome & dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 08:22:59 -0400

libproxy (0.4.15-5) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 20:21:13 -0500

libproxy (0.4.15-4) unstable; urgency=medium

  * Build the mozjs plugin against mozjs 60 and limit the architectures where
    the package is built as mozjs 60 FTBFS on several architectures (Closes:
    #912940)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Dec 2018 15:33:14 +0100

libproxy (0.4.15-3) unstable; urgency=medium

  * Reintroduce libproxy1-plugin-mozjs, the module now builds with mozjs 52
  * debian/control.in: Drop X-Python(3)-Version to please lintian
  * debian/control.in: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/rules: Use DEB_VERSION_UPSTREAM instead of SHLIBVER for the helpers

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Oct 2018 07:40:35 +0200

libproxy (0.4.15-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote python Build-Depends to Build-Depends-Indep (Closes: #909211)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 19 Sep 2018 19:04:50 -0400

libproxy (0.4.15-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop libproxy1-plugin-mozjs since it depends on an outdated version


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libproxy
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends-Indep: dh-sequence-cli <!stage1>, mono-devel (>= 2.4.3) <!stage1>, python3-all
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.5),
               dh-sequence-gnome,
               dh-sequence-python3,
               netbase,
               cmake,
               zlib1g-dev,
               libnm-dev [linux-any],
               libdbus-1-dev,
               libkf5config-bin <!stage1>,
               libmozjs-68-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
               libwebkit2gtk-4.0-dev <!stage1>,
               libjavascriptcoregtk-4.0-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!stage1>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

Package: libproxy1-plugin-mozjs
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (mozjs plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using mozjs

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python3-libproxy
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${libproxy} (>= ${source:Version})
Description: automatic proxy configuration management library (Python 3)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python 3 bindings.

Package: libproxy0.4-cil
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (CLI)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the CLI bindings.

Package: libproxy-cil-dev
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends},
         libproxy0.4-cil (= ${binary:Version})
Description: automatic proxy configuration management library (CLI devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains development files for the CLI bindings, and should be
 used for compilation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SHLIBVER := 0.4.14
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control.in)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

DO_PACKAGES = $(shell dh_listpackages)

ifneq ($(filter libproxy0.4-cil,$(DO_PACKAGES)),)
WITH_DOTNET = -DWITH_DOTNET=ON
else
WITH_DOTNET = -DWITH_DOTNET=OFF
endif

ifneq ($(filter amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4, $(DEB_HOST_ARCH)),)
WITH_MOZJS = -DWITH_MOZJS=ON
else
WITH_MOZJS = -DWITH_MOZJS=OFF
endif

CONFIGURE_FLAGS = $(WITH_DOTNET) \
		-DWITH_PYTHON2=OFF \
		-DWITH_VALA=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DBIPR=0 \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DPERL_VENDORINSTALL=ON \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(DEB_VERSION_UPSTREAM)

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=ON \
		$(WITH_MOZJS) \
		-DWITH_WEBKIT3=ON
else
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=OFF \
		-DWITH_MOZJS=OFF \
		-DWITH_WEBKIT3=OFF
endif

ifeq (,$(filter libnet-libproxy-perl,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PERL=OFF
endif

ifeq (,$(filter python3-libproxy,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PYTHON3=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_install-arch:
	dh_install
	rm -f \
	  debian/libproxy-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libproxy-sharp-*.pc

override_dh_install-indep:
	dh_install
ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
	sed -i 's!/usr/lib/mono/libproxy-sharp!/usr/lib/cli/libproxy-sharp-0.4!' \
		debian/libproxy-cil-dev/usr/lib/pkgconfig/libproxy-sharp-1.0.pc
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

%:
	dh $@

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libproxy-dev, pkg-config

Tests: libproxy-tools
Restrictions: allow-stderr superficial
Depends: libproxy-tools

Tests: gsettings
Restrictions: allow-stderr flaky superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings

Tests: mozjs
Restrictions: allow-stderr flaky skip-not-installable superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings, libproxy1-plugin-mozjs

Tests: webkit
Restrictions: allow-stderr flaky superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings, libproxy1-plugin-webkit

Tests: python3
Restrictions: allow-stderr flaky superficial
Depends: python3-libproxy

## libproxy 0.4.15.2

=== debian/changelog ===
libproxy (0.4.15.2-1+eagle) unstable; urgency=medium

  * update

 -- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>  Fri, 18 Dec 2020 13:40:35 +0800

libproxy (0.4.15.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-25219 CVE-2020-26154

 -- zhouzilong <zhouzilong@uniontech.com>  Sat, 10 Oct 2020 19:27:49 +0800

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,23 @@
 Source: libproxy
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends-Indep: dh-sequence-cli <!stage1>, mono-devel (>= 2.4.3) <!stage1>, python3-all
-Build-Depends: debhelper-compat (= 13),
-               debhelper (>= 12.5),
-               dh-sequence-gnome,
-               dh-sequence-python3,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends-Indep: cli-common-dev (>= 0.5.7~) <!stage1>, mono-devel (>= 2.4.3) <!stage1>, dh-python, python-all-dev (>= 2.6.6-3~), python3-all
+Build-Depends: debhelper (>= 11),
+               gnome-pkg-tools,
                netbase,
                cmake,
                zlib1g-dev,
                libnm-dev [linux-any],
                libdbus-1-dev,
                libkf5config-bin <!stage1>,
-               libmozjs-68-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
+               libmozjs-60-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
                libwebkit2gtk-4.0-dev <!stage1>,
                libjavascriptcoregtk-4.0-dev <!stage1>,
                libglib2.0-dev (>= 2.26) <!stage1>,
                libxmu-dev <!stage1>
-Standards-Version: 4.5.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
 Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
 Homepage: https://libproxy.github.io/libproxy/
@@ -48,7 +45,6 @@
 Build-Profiles: <!stage1>
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gsettings-desktop-schemas,
          ${libproxy} (= ${binary:Version})
 Enhances: ${libproxy}
 Description: automatic proxy configuration management library (GSettings plugin)
@@ -142,6 +138,18 @@
  This package contains a program to interact with libproxy from the
  command line.
 
+Package: python-libproxy
+Architecture: all
+Section: python
+Depends: ${python:Depends},
+         ${misc:Depends},
+         ${libproxy} (>= ${source:Version})
+Description: automatic proxy configuration management library (Python 2)
+ libproxy is a lightweight library which makes it easy to develop
+ applications proxy-aware with a simple and stable API.
+ .
+ This package contains the Python 2 bindings.
+
 Package: python3-libproxy
 Architecture: all
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SHLIBVER := 0.4.14
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control.in)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DO_PACKAGES = $(shell dh_listpackages)

DH_ADDONS=--with=gnome
# only invoke dh --with cli if cli-common-dev is present
WITH_DOTNET = -DWITH_DOTNET=OFF
ifneq (,$(wildcard /usr/share/perl5/Debian/Debhelper/Sequence/cli.pm))
ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
DH_ADDONS += --with cli
WITH_DOTNET = -DWITH_DOTNET=ON
endif
endif

ifneq ($(filter amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4, $(DEB_HOST_ARCH)),)
WITH_MOZJS = -DWITH_MOZJS=ON
else
WITH_MOZJS = -DWITH_MOZJS=OFF
endif

CONFIGURE_FLAGS = $(WITH_DOTNET) \
		-DWITH_VALA=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DBIPR=0 \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(DEB_VERSION_UPSTREAM)

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=ON \
		$(WITH_MOZJS) \
		-DWITH_WEBKIT3=ON
else
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=OFF \
		-DWITH_MOZJS=OFF \
		-DWITH_WEBKIT3=OFF
endif

ifeq (,$(filter python-libproxy,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PYTHON2=OFF
endif
ifeq (,$(filter python3-libproxy,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PYTHON3=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_install-arch:
	dh_install
	rm -f \
	  debian/libproxy-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libproxy-sharp-*.pc

override_dh_install-indep:
	cp -a debian/tmp/usr/lib/$(shell pyversions -d) debian/tmp/usr/lib/python3
	dh_install
ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
	sed -i 's!/usr/lib/mono/libproxy-sharp!/usr/lib/cli/libproxy-sharp-0.4!' \
		debian/libproxy-cil-dev/usr/lib/pkgconfig/libproxy-sharp-1.0.pc
endif

override_dh_makeshlibs:
	dh_makeshlibs -V '$(libproxy) (>= $(SHLIBVER))' -- -c4

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

%:
	dh $@ $(DH_ADDONS)
build binary %-indep: DH_ADDONS+=--with=python2,python3

## libproxy 0.4.17

=== libproxy/CMakeLists.txt ===
### Project info
project(libproxy)
set_project_version(0 4 17)

### Add a global compilation stuff
if (WIN32)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS=1)
else(WIN32)
  add_definitions(-D_POSIX_C_SOURCE=200112L)
  set(CMAKE_CXX_FLAGS "-fvisibility=hidden ${CMAKE_CXX_FLAGS}")
endif(WIN32)

### Modules
include(cmake/modules.cmk)

### Dev files
include(cmake/devfiles.cmk)

### Main library
include(cmake/libproxy.cmk)

### Tests
add_testdirectory(test)

=== bindings/perl/CMakeLists.txt ===
find_package(Perl)
include (FindPerlLibs)

if(PERL_FOUND AND PERLLIBS_FOUND)

  # Enable override of perl packge install directory.
  set(PX_PERL_ARCH ${PX_PERL_ARCH} CACHE PATH "Install directory for Perl package.")

  if(NOT PX_PERL_ARCH)
    # Some distributions install perl packages in vendor when shipped with the distro.
    # Let's make their lifes easier by offering an install flag for this usecase.
    option(PERL_VENDORINSTALL "Install Perl package in vendor directory" OFF)

    # Offer an option to explicitly link against libperl.so, with a default
    # that depends on the value of the PERL_VENDORINSTALL option: if the
    # binding is installed into a version-independent directory such as
    # vendor_perl the chances of it needing a rebuild on each Perl update are
    # lower. Note: not linking against libperl.so does not work if
    # --no-undefined is passed to the linker.
    if(PERL_VENDORINSTALL)
        option(PERL_LINK_LIBPERL "Explicitly link against libperl.so" OFF)
    else()
        option(PERL_LINK_LIBPERL "Explicitly link against libperl.so" ON)
    endif()

    if(PERL_VENDORINSTALL)
      set (PX_PERL_ARCH ${PERL_VENDORARCH})
      set (PX_PERL_LIB ${PERL_VENDORLIB})
    else()
      # PERL_SITEARCH is actually not defined in latest FindPerlLibs.cmake macros, thus
      # we have to find the correct path on our own.
      EXECUTE_PROCESS(COMMAND ${PERL_EXECUTABLE} -MConfig -e "print \$Config{sitearch}"
        OUTPUT_VARIABLE PX_PERL_ARCH)
      set (PX_PERL_LIB ${PERL_SITELIB})
    endif()
  endif()

  add_subdirectory(lib)
  add_subdirectory(src)
  add_subdirectory(t)
endif()

=== samples/vala/Makefile ===
all: sample

sample: sample.vala
	valac --pkg libproxy-1.0 sample.vala

clean:
	rm sample

=== debian/changelog ===
libproxy (0.4.17-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Cherrypick upstream patch to fix the build with python 3.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:17:07 -0400

libproxy (0.4.17-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Drop patch from 0.4.16-2, included in this release
  * Standards-Version: 4.5.1 (no changes required)

  [ Helmut Grohne ]
  * Tag test dependencies with <!nocheck> (Closes: #979081)

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Jan 2021 11:38:24 +0000

libproxy (0.4.16-2) unstable; urgency=medium

  * Fix the loading of the python module, patch from upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 14 Dec 2020 18:39:25 +0100

libproxy (0.4.16-1) unstable; urgency=medium

  * New upstream release
    - Drop all the patches, they are included in this release
  * debian/not-installed: Do not package pacrunner module for now, pacrunner
    is not in debian yet, see: #977216

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Dec 2020 19:47:25 +0100

libproxy (0.4.15-15) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Add patch from upstream to fix buffer overflow when PAC is enabled
    (CVE-2020-26154) (Closes: #968366)
  * Add patch from upstream rewriting url::recvline to be nonrecursive
    (CVE-2020-25219) (Closes: #971394)

  [ Simon McVittie ]
  * Add additional bug-fix patches from upstream git
    - Fix memory leaks in the WebKit backend
    - Make sure mtime is initialized in the KDE backend
    - Correctly encode/decode Python Unicode strings (Closes: #959030)
    - Cope with settings larger than will fit in a single read() in the
      GSettings (GNOME 3) backend
    - Remove crash-prone proxy factory caching (Closes: #968363)
    - Make sure new/delete and new[]/delete[] are correctly paired
    - Disable mozjs backend by default
    - Never use a system copy of libmodman, even if one exists
    - Small performance optimizations (without which later patches
      won't apply)
    - Avoid deprecated C++ dynamic exception specifications
  * d/tests/mozjs: Remove obsolete test.
    We no longer compile the backend that this is responsible for testing.
  * d/tests: Remove flaky annotations.
    With the fixes I've imported from upstream git, these should hopefully
    all be reliable.
  * d/tests: Test default python3 version and all python3 versions
    separately.
    Add a missing dependency on python3-all for the python3-all test:
    during a transition between supported Python versions, we need both
    the old and the new version installed.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Nov 2020 16:37:55 +0000

libproxy (0.4.15-14) unstable; urgency=medium

  * Drop libproxy1-plugin-mozjs; use libproxy1-plugin-webkit instead
    - See https://github.com/libproxy/libproxy/pull/139 (Closes: #959805)
  * Drop unused CLI binding (Closes: #959031)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Sep 2020 19:22:53 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SHLIBVER := 0.4.14
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control.in)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

DO_PACKAGES = $(shell dh_listpackages)

CONFIGURE_FLAGS = -DWITH_DOTNET=OFF \
		-DWITH_MOZJS=OFF \
		-DWITH_PYTHON2=OFF \
		-DWITH_VALA=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DBIPR=0 \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DPERL_VENDORINSTALL=ON \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(DEB_VERSION_UPSTREAM)

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=ON \
		-DWITH_WEBKIT3=ON
else
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=OFF \
		-DWITH_WEBKIT3=OFF
endif

ifeq (,$(filter libnet-libproxy-perl,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PERL=OFF
endif

ifeq (,$(filter python3-libproxy,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PYTHON3=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

%:
	dh $@

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libproxy-dev, pkg-config

Tests: libproxy-tools
Restrictions: allow-stderr superficial
Depends: libproxy-tools

Tests: gsettings
Restrictions: allow-stderr superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings

Tests: webkit
Restrictions: allow-stderr superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings, libproxy1-plugin-webkit

Tests: python3
Restrictions: allow-stderr superficial
Depends: python3-libproxy

Tests: python3-all
Restrictions: allow-stderr superficial
Depends: python3-all, python3-libproxy

## libproxy 0.4.18

=== bindings/perl/lib/CMakeLists.txt ===
add_custom_target(PMlibproxy ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/Libproxy.pm ${CMAKE_BINARY_DIR}/perl/Net/Libproxy.pm)
install( FILES Libproxy.pm DESTINATION ${PX_PERL_ARCH}/Net )

=== debian/changelog ===
libproxy (0.4.18-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add debian/upstream/metadata
  * debian/rules: Explicitly disable duktape PAC runner for now
  * d/p/Fix-building-without-duktape.patch:
    Add patch to fix a build failure when duktape is disabled
  * Add patch from Fedora to switch from webkit2gtk 4.0 to 4.1
  * Update Build-Depends
  * Stop using debian/control.in and dh_gnome_clean
  * Stop building python3-libproxy since it is unused in Debian Testing
    and is no longer provided by libproxy 0.5
  * Update standards version to 4.6.2, no changes needed

  [ Simon McVittie ]
  * Acknowledge NMU (Closes: #1028638)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 10:55:12 -0500

libproxy (0.4.18-1.2) unstable; urgency=medium

  * NMU
  * Add patch by sre@debian.org to fix crash with glibproxyresolver
    (Closes: #1028638)

 -- Martin <debacle@debian.org>  Tue, 31 Jan 2023 18:39:31 +0000

libproxy (0.4.18-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 15:43:18 +0200

=== debian/control ===
Source: libproxy
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               netbase <!nocheck>,
               cmake,
               zlib1g-dev,
               libnm-dev [linux-any],
               libdbus-1-dev,
               libkf5config-bin <!nocheck !stage1>,
               libwebkit2gtk-4.1-dev <!nocheck !stage1>,
               libjavascriptcoregtk-4.1-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!nocheck !stage1>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DO_PACKAGES = $(shell dh_listpackages)

CONFIGURE_FLAGS = -DWITH_DOTNET=OFF \
		-DWITH_DUKTAPE=OFF \
		-DWITH_MOZJS=OFF \
		-DWITH_PERL=OFF \
		-DWITH_PYTHON2=OFF \
		-DWITH_PYTHON3=OFF \
		-DWITH_VALA=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DBIPR=0 \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DPERL_VENDORINSTALL=ON \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(DEB_VERSION_UPSTREAM)

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=ON \
		-DWITH_WEBKIT3=ON
else
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=OFF \
		-DWITH_WEBKIT3=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

override_dh_gnome_clean:

## libproxy 0.5.4

=== meson_options.txt ===
option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Whether to generate the API reference for libproxy (requires introspection)'
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Whether to compile test cases for libproxy'
)

option(
  'config-env',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for environment configuration'
)

option(
  'config-gnome',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for GNOME configuration'
)

option(
  'config-windows',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for Windows configuration'
)

option(
  'config-sysconfig',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for sysconfig configuration'
)

option(
  'config-osx',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for OS X configuration'
)

option(
  'config-kde',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for KDE System Settings'
)

option(
  'pacrunner-duktape',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for PAC Runner Duktape'
)

option(
  'vapi',
  type: 'boolean',
  value: true,
  description: 'Whether to build vapi support'
)

option(
  'curl',
  type: 'boolean',
  value: true,
  description: 'Whether to build cURL support'
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Whether to build introspection support'
)

=== debian/changelog ===
libproxy (0.5.4-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:56:17 +0000

libproxy (0.5.4-4) unstable; urgency=medium

  * Revert 32-bit architecture bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 09:37:57 -0400

libproxy (0.5.4-3) unstable; urgency=medium

  * Set DPKG_GENSYMBOLS_CHECK_LEVEL to 0 with stage1 bootstrapping
  * Set stage1 profile for 32-bit architectures for time_t bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Mar 2024 11:36:38 -0400

libproxy (0.5.4-2) unstable; urgency=medium

  * Team upload
  * d/control: Add back transitional packages for the plugins.
    These provide smooth upgrades from Debian 12 and Ubuntu 22.04, and
    should be removed after Debian 13 and Ubuntu 24.04 are released.
    (Closes: #1064889)
  * d/tests/libproxy-tools: Don't depend on gsettings-desktop-schemas here.
    The autopkgtest should prove that the minimum dependencies are
    sufficient to run without crashing in a non-GNOME environment,
    which we can ensure by making one test not depend on g-s-d.
  * d/python3-libproxy.install: Remove obsolete packaging file
  * d/p/tests-Copy-pxProxyFactory-correctly.patch,
    d/p/px_proxy_factory_copy-Add-a-new-reference-to-the-manager.patch,
    d/p/tests-Don-t-leak-the-copied-pxProxyFactory.patch:
    Add proposed patches to fix internal PxManager refcounting
  * d/libproxy1v5.lintian-overrides: Silence library-not-linked-against-libc.
    libproxy links to GLib, and to a backend library that does the real
    work, so it genuinely does not have any direct dependency on libc
    and this is non-problematic.

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Feb 2024 12:53:32 +0000

libproxy (0.5.4-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update symbols
  * Update autopkgtest
  * Rename webkit autopkgtest to pac
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Feb 2024 19:30:12 -0500

libproxy (0.5.3-2) experimental; urgency=medium

  * debian/tests:
    - Depends on gsettings-desktop-schemas, the gnome backend errors out
      if there is no schemas installed
    - use XDG_CURRENT_DESKTOP instead of DESKTOP_SESSION

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Feb 2024 11:53:41 +0100

libproxy (0.5.3-1) experimental; urgency=medium

  * New upstream release
    - Complete rewrite using C instead of C++
    - Plugins are no longer an option
  * Switch from cmake to meson
  * Drop plugin packages
  * Enable duktape PAC runner as replacement for webkitgtk version
    which is no longer provided
  * Build-Depend on libcurl4-gnutls-dev
  * Build-Depend on gsettings-desktop-schemas-dev & valac
  * Temporarily don't build gobject-introspection & docs
    to avoid trip through NEW. This also temporarily disables the unused
    vala support
  * Switch debian/copyright to 1.0 format
  * Add symbols file
  * Set Rules-Requires-Root: no
  * debian/libproxy1v5.install: Install libpxbackend-1.0.so
  * debian/libproxy-dev.install: Drop obsolete CMake module
  * debian/docs: NEWS → CHANGELOG.md
  * debian/libproxy-tools.manpages: Install upstream manpage
  * Drop obsolete debian/not-installed
  * Drop obsolete python autopkgtests (Closes: #1062373)
  * Drop all patches: either obsolete or applied in new release
  * Cherry-pick 2 patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Feb 2024 15:02:23 -0500

=== debian/control ===
Source: libproxy
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               duktape-dev,
               gsettings-desktop-schemas-dev,
               meson,
               netbase <!nocheck>,
               valac,
               zlib1g-dev,
               libnm-dev [linux-any],
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libkf5config-bin <!nocheck !stage1>,
               libwebkit2gtk-4.1-dev <!nocheck !stage1>,
               libjavascriptcoregtk-4.1-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!nocheck !stage1>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy GSettings plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided the GSettings plugin, used in GNOME.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy KConfig plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided the KConfig plugin, used in KDE Plasma.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy NetworkManager plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided the NetworkManager plugin.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy Webkit plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided PAC support via WebKit's JavaScript engine.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version}),
         libglib2.0-dev
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DO_PACKAGES = $(shell dh_listpackages)

CONFIGURE_FLAGS = -Dconfig-osx=false \
		-Dconfig-windows=false \
		-Ddocs=false \
		-Dintrospection=false \

ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
# two symbols are missing
export DPKG_GENSYMBOLS_CHECK_LEVEL = 0
CONFIGURE_FLAGS += \
		-Dconfig-gnome=false \
		-Dpacrunner-duktape=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

override_dh_gnome_clean:

## libproxy 0.5.6

=== debian/changelog ===
libproxy (0.5.6-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update debian/libproxy1v5.symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:56:30 -0400

## libproxy 0.5.7

=== debian/changelog ===
libproxy (0.5.7-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/docs since CHANGELOG.md is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jul 2024 07:01:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libproxy
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,

## libproxy 0.5.8

=== debian/changelog ===
libproxy (0.5.8-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Update pac test for changed behavior in new release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 15:32:00 -0400
